Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.dialogs
Class ListDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.ui.dialogs.SelectionDialog
                  org.eclipse.ui.dialogs.ListDialog

public class ListDialog
extends SelectionDialog

A dialog that prompts for one element out of a list of elements. Uses `IStructuredContentProvider` to provide the elements and `ILabelProvider` to provide their labels.

Since:
  2.1

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ListDialog(Shell parent)` Create a new instance of the receiver with parent shell of parent.

Method Summary
`protected void` | `createButtonsForButtonBar(Composite parent)` Adds buttons to this dialog's button bar.
`protected Control` | `createDialogArea(Composite container)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`int` | `getHeightInChars()` Returns the initial height of the dialog in number of characters.
`protected int` | `getTableStyle()` Return the style flags for the table viewer.
`TableViewer` | `getTableViewer()`
`int` | `getWidthInChars()` Returns the initial width of the dialog in number of characters.
`protected void` | `okPressed()` Notifies that the ok button of this dialog has been pressed.
`void` | `setAddCancelButton(boolean addCancelButton)`
`void` | `setContentProvider(IStructuredContentProvider sp)`
`void` | `setHeightInChars(int heightInChars)` Sets the initial height of the dialog in number of characters.
`void` | `setInput(Object input)`
`void` | `setLabelProvider(ILabelProvider lp)`
`void` | `setWidthInChars(int widthInChars)` Sets the initial width of the dialog in number of characters.

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`configureShell, createMessageArea, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getInitialLocation, getInitialSize, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDialog

    public ListDialog(Shell parent)

  Create a new instance of the receiver with parent shell of parent.

Parameters:
  `parent` -

Method Detail

### setInput

    public void setInput(Object input)

  Parameters:
    `input` - The input for the list.

### setContentProvider

    public void setContentProvider(IStructuredContentProvider sp)

  Parameters:
    `sp` - The content provider for the list.

### setLabelProvider

    public void setLabelProvider(ILabelProvider lp)

  Parameters:
    `lp` - The labelProvider for the list.

### setAddCancelButton

    public void setAddCancelButton(boolean addCancelButton)

  Parameters:
    `addCancelButton` - if `true` there will be a cancel button.

### getTableViewer

    public TableViewer getTableViewer()

  Returns:
    the TableViewer for the receiver.

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Description copied from class: `Dialog`
  Adds buttons to this dialog's button bar.

  The `Dialog` implementation of this framework method adds standard ok and cancel buttons using the `createButton` framework method. These standard buttons will be accessible from `getCancelButton`, and `getOKButton`. Subclasses may override.

  Overrides:
    `createButtonsForButtonBar` in class `SelectionDialog`

### createDialogArea

    protected Control createDialogArea(Composite container)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `container` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

### getTableStyle

    protected int getTableStyle()

  Return the style flags for the table viewer.

  Returns:
    int

### okPressed

    protected void okPressed()

  Description copied from class: `Dialog`
  Notifies that the ok button of this dialog has been pressed.

  The `Dialog` implementation of this framework method sets this dialog's return code to `Window.OK` and closes the dialog. Subclasses may override.

  Overrides:
    `okPressed` in class `Dialog`

### getHeightInChars

    public int getHeightInChars()

  Returns the initial height of the dialog in number of characters.

  Returns:
    the initial height of the dialog in number of characters

### getWidthInChars

    public int getWidthInChars()

  Returns the initial width of the dialog in number of characters.

  Returns:
    the initial width of the dialog in number of characters

### setHeightInChars

    public void setHeightInChars(int heightInChars)

  Sets the initial height of the dialog in number of characters.

  Parameters:
    `heightInChars` - the initialheight of the dialog in number of characters

### setWidthInChars

    public void setWidthInChars(int widthInChars)

  Sets the initial width of the dialog in number of characters.

  Parameters:
    `widthInChars` - the initial width of the dialog in number of characters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.